import { IVirtualNodeProps } from '../modules/Cascade';
export declare type JSXElement<T extends Element> = IVirtualNodeProps & Partial<T>;
export interface SVGElements {
    animate: JSXElement<SVGElement>;
    animateColor: JSXElement<SVGElement>;
    animateMotion: JSXElement<SVGElement>;
    animateTransform: JSXElement<SVGElement>;
    circle: JSXElement<SVGCircleElement>;
    clipPath: JSXElement<SVGClipPathElement>;
    "colorprofile": JSXElement<SVGElement>;
    cursor: JSXElement<SVGElement>;
    defs: JSXElement<SVGDefsElement>;
    desc: JSXElement<SVGDescElement>;
    discard: JSXElement<SVGElement>;
    ellipse: JSXElement<SVGEllipseElement>;
    feBlend: JSXElement<SVGFEBlendElement>;
    feColorMatrix: JSXElement<SVGFEColorMatrixElement>;
    feComponentTransfer: JSXElement<SVGFEComponentTransferElement>;
    feComposite: JSXElement<SVGFECompositeElement>;
    feConvolveMatrix: JSXElement<SVGFEConvolveMatrixElement>;
    feDiffuseLighting: JSXElement<SVGFEDiffuseLightingElement>;
    feDisplacementMap: JSXElement<SVGFEDisplacementMapElement>;
    feDistantLight: JSXElement<SVGFEDistantLightElement>;
    feDropShadow: JSXElement<SVGElement>;
    feFlood: JSXElement<SVGFEFloodElement>;
    feFuncA: JSXElement<SVGFEFuncAElement>;
    feFuncB: JSXElement<SVGFEFuncBElement>;
    feFuncG: JSXElement<SVGFEFuncGElement>;
    feFuncR: JSXElement<SVGFEFuncRElement>;
    feGaussianBlur: JSXElement<SVGFEGaussianBlurElement>;
    feImage: JSXElement<SVGFEImageElement>;
    feMerge: JSXElement<SVGFEMergeElement>;
    feMergeNode: JSXElement<SVGFEMergeNodeElement>;
    feMorphology: JSXElement<SVGFEMorphologyElement>;
    feOffset: JSXElement<SVGFEOffsetElement>;
    fePointLight: JSXElement<SVGFEPointLightElement>;
    feSpecularLighting: JSXElement<SVGFESpecularLightingElement>;
    feSpotLight: JSXElement<SVGFESpotLightElement>;
    feTile: JSXElement<SVGFETileElement>;
    feTurbulence: JSXElement<SVGFETurbulenceElement>;
    filter: JSXElement<SVGFilterElement>;
    font: JSXElement<SVGElement>;
    "font-face": JSXElement<SVGElement>;
    "font-face-format": JSXElement<SVGElement>;
    "font-face-name": JSXElement<SVGElement>;
    "font-face-src": JSXElement<SVGElement>;
    "font-face-uri": JSXElement<SVGElement>;
    foreignObject: JSXElement<SVGForeignObjectElement>;
    g: JSXElement<SVGGElement>;
    glyph: JSXElement<SVGElement>;
    glyphRef: JSXElement<SVGElement>;
    hatch: JSXElement<SVGElement>;
    hatchpath: JSXElement<SVGElement>;
    hkern: JSXElement<SVGElement>;
    image: JSXElement<SVGImageElement>;
    line: JSXElement<SVGLineElement>;
    linearGradient: JSXElement<SVGLinearGradientElement>;
    marker: JSXElement<SVGMarkerElement>;
    mask: JSXElement<SVGMaskElement>;
    mesh: JSXElement<SVGElement>;
    meshgradient: JSXElement<SVGElement>;
    meshpatch: JSXElement<SVGElement>;
    meshrow: JSXElement<SVGElement>;
    metadata: JSXElement<SVGMetadataElement>;
    "missing-glyph": JSXElement<SVGElement>;
    mpath: JSXElement<SVGElement>;
    path: JSXElement<SVGPathElement>;
    pattern: JSXElement<SVGPatternElement>;
    polygon: JSXElement<SVGPolygonElement>;
    polyline: JSXElement<SVGPolylineElement>;
    radialGradient: JSXElement<SVGRadialGradientElement>;
    rect: JSXElement<SVGRectElement>;
    set: JSXElement<SVGStyleElement>;
    solidcolor: JSXElement<SVGElement>;
    stop: JSXElement<SVGStopElement>;
    svg: JSXElement<SVGSVGElement>;
    switch: JSXElement<SVGSwitchElement>;
    symbol: JSXElement<SVGSymbolElement>;
    text: JSXElement<SVGTextElement>;
    textPath: JSXElement<SVGTextPathElement>;
    tref: JSXElement<SVGElement>;
    tspan: JSXElement<SVGTSpanElement>;
    unknown: JSXElement<SVGElement>;
    use: JSXElement<SVGUseElement>;
    view: JSXElement<SVGViewElement>;
    vkern: JSXElement<SVGElement>;
}
//# sourceMappingURL=SVGElements.d.ts.map